CVE-2019-8383

NameCVE-2019-8383
DescriptionAn issue was discovered in AdvanceCOMP through 2.1. An invalid memory address occurs in the function adv_png_unfilter_8 in lib/png.c. It can be triggered by sending a crafted file to a binary. It allows an attacker to cause a Denial of Service (Segmentation fault) or possibly have unspecified other impact when a victim opens a specially crafted file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2868-1
NVD severitymedium
Debian Bugs928730

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
advancecomp (PTS)stretch1.20-1vulnerable
stretch (security)1.20-1+deb9u1fixed
bookworm, sid, buster, bullseye2.1-2.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
advancecompsourcestretch1.20-1+deb9u1DLA-2868-1
advancecompsource(unstable)2.1-2.1928730

Notes

[jessie] - advancecomp <ignored> (Minor issue)
https://sourceforge.net/p/advancemame/bugs/272/
https://github.com/amadvance/advancecomp/commit/78a56b21340157775be2462a19276b4d31d2bd01

Search for package or bug name: Reporting problems